@(sim: Simulation, currentPage: List[SimulationResult], currentSortBy: String, currentOrder: String, currentFilter: String)

@**********************************
* Helper generating table headers *
**********************************@
@header(key:String, title:String) = {
    <th class="@key.replace(".","_") header @if(currentSortBy == key) @{if(currentOrder == "asc") "headerSortDown" else "headerSortUp"}">
        <a href="@link(0, key)">@title</a>
    </th>
}

@link(newPage:Int, newSortBy:String) = @{
    var sortBy = currentSortBy
    var order = currentOrder

    if(newSortBy != null) {
        sortBy = newSortBy
        if(currentSortBy == newSortBy) {
            if(currentOrder == "asc") {
                order = "desc"
            } else {
                order = "asc"
            }
        } else {
            order = "desc"
        }
    }
    // Generate the link
    routes.SimulationResultController.getChildResults(sim.getId.toString, newPage, sortBy, order, currentFilter)
}
<table id="resultList" class="table table-striped table-bordered">
    <thead>
        <tr>
            @header("id","Result ID")
            @header("locp","Reliability")
            @header("total_fails","Total Fails")
            @header("total_samples","Total Samples")
            @header("run_time", "Run Time (s)")
            <th>View Result</th>
        </tr>
    </thead>

    <tbody id="simList">
        @for(i <- currentPage.indices) {
        <tr>
            <td>@i</td>
            <td>@simulation.SimUtils.getNf.format(1 - currentPage(i).getLOCP)</td>
            <td>@simulation.SimUtils.getNf3.format(currentPage(i).getTotalFails)</td>
            <td>@simulation.SimUtils.getNf3.format(currentPage(i).getTotalSamples)</td>
            <td>@simulation.SimUtils.getNf2.format(currentPage(i).getRunTime)</td>
            <td><a class="btn btn-success btn-block" href="@routes.SimulationResultController.displayResult(sim.getId.toString, i)">View</a></td>
        </tr>
        }
    </tbody>
</table>

